---
title: get-log-lines-for-the-tasks-of-an-invocation-attempt
product: vercel
url: /docs/rest-api/sdk/vercel-ci/get-log-lines-for-the-tasks-of-an-invocation-attempt
canonical_url: "https://vercel.com/docs/rest-api/sdk/vercel-ci/get-log-lines-for-the-tasks-of-an-invocation-attempt"
last_updated: 2026-09-25
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about get-log-lines-for-the-tasks-of-an-invocation-attempt on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Get log lines for the tasks of an invocation attempt

```http
GET /v1/vercel-ci/invocations/{invocationId}/attempts/{attempt}/task-logs
```

Returns log lines for the tasks of an invocation attempt in a single request, grouped by task. Tasks can be narrowed by name and by conclusion, for example `conclusion=failed` to fetch only the logs of failed tasks.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `invocationId` | string | Yes |  |
| `attempt` | string | Yes |  |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `task` | array | No | Only return tasks with one of these names (e.g., \"web#test\"). |
| `conclusion` | array | No | Only return completed tasks with one of these conclusions. |
| `level` | array | No | Only return log lines with one of these levels. |
| `limit` | number | No | Maximum number of tasks to return (default: 10, max: 25). |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

```typescript
import { Vercel } from "@vercel/sdk";

const vercel = new Vercel({
  bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await vercel.vercelCi.getVercelCiTaskLogs({
    invocationId: "<id>",
    attempt: "<value>",
    teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
    slug: "my-team-url-slug",
  });

  console.log(result);
}

run();
```

## Example response

```json
{
  "tasks": [
    {
      "jobDefinitionId": "example_id",
      "jobName": "Example Name",
      "jobRunAttempt": "123",
      "taskDefinitionId": "example_id",
      "taskName": "Example Name",
      "taskRunAttempt": "123",
      "conclusion": {
        "result": "string"
      },
      "lines": [
        {
          "level": "string",
          "timestamp": "123",
          "message": "string"
        }
      ]
    }
  ],
  "hasMore": "true"
}
```

## Responses

### 200: Successfully fetched task log lines.

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "tasks",
    "hasMore"
  ],
  "properties": {
    "tasks": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "jobDefinitionId",
          "jobName",
          "jobRunAttempt",
          "taskDefinitionId",
          "taskName",
          "lines"
        ],
        "properties": {
          "jobDefinitionId": {
            "type": "string"
          },
          "jobName": {
            "type": "string"
          },
          "jobRunAttempt": {
            "type": "number"
          },
          "taskDefinitionId": {
            "type": "string"
          },
          "taskName": {
            "type": "string"
          },
          "taskRunAttempt": {
            "type": "number"
          },
          "conclusion": {},
          "lines": {
            "type": "array"
          }
        }
      }
    },
    "hasMore": {
      "type": "boolean",
      "description": "Whether more tasks matched the filters than were returned."
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      }
    }
  }
}
```

### 403: You do not have permission to access this resource.

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      }
    }
  }
}
```

### 404: No description

### 410: No description

### 429: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "type": "object",
      "required": [
        "code",
        "name",
        "message",
        "limit"
      ],
      "properties": {
        "code": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "limit": {
          "type": "number"
        }
      }
    }
  }
}
```

### 500: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      }
    }
  }
}
```

---

## Related

- [vercel-ci endpoints](/docs/rest-api#vercel-ci)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
